### Method

# AppStream Pool set_locale

#### Declaration [src]

    void
    as_pool_set_locale (
      AsPool* pool,
      const gchar* locale
    )

#### Description [src]

Sets the current locale which should be used when parsing metadata.

#### Parameters

`locale`

  Type: `const gchar*`

  The BCP47 or POSIX locale to use for this pool.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.